#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x138119c6, "");
SYMBOL_CRC(sas_remove_host, 0xb5e9be8f, "");
SYMBOL_CRC(sas_get_address, 0x1224ef0c, "");
SYMBOL_CRC(sas_tlr_supported, 0xb2d881e0, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xc4737b97, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x9ace60c4, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xb1f4ca32, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x085986cd, "");
SYMBOL_CRC(sas_phy_add, 0x80645a31, "");
SYMBOL_CRC(sas_phy_free, 0x2453d593, "");
SYMBOL_CRC(sas_phy_delete, 0xa7ce2b9c, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xc50fb089, "");
SYMBOL_CRC(sas_port_alloc, 0x3aa954cf, "");
SYMBOL_CRC(sas_port_alloc_num, 0x1e1a127a, "");
SYMBOL_CRC(sas_port_add, 0x99ae2eeb, "");
SYMBOL_CRC(sas_port_free, 0x38699a12, "");
SYMBOL_CRC(sas_port_delete, 0xfe1bfd24, "");
SYMBOL_CRC(scsi_is_sas_port, 0x83fa3f8e, "");
SYMBOL_CRC(sas_port_get_phy, 0x66765212, "");
SYMBOL_CRC(sas_port_add_phy, 0x368e58a1, "");
SYMBOL_CRC(sas_port_delete_phy, 0xf3c1ff51, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xedd0802d, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xda90dfbf, "");
SYMBOL_CRC(sas_end_device_alloc, 0xb88080ea, "");
SYMBOL_CRC(sas_expander_alloc, 0x8160932b, "");
SYMBOL_CRC(sas_rphy_add, 0x3231f67e, "");
SYMBOL_CRC(sas_rphy_free, 0xb3f0bf14, "");
SYMBOL_CRC(sas_rphy_delete, 0x447dec45, "");
SYMBOL_CRC(sas_rphy_unlink, 0x77c80583, "");
SYMBOL_CRC(sas_rphy_remove, 0xaffe804d, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x56161a1e, "");
SYMBOL_CRC(sas_attach_transport, 0xe8060cc2, "");
SYMBOL_CRC(sas_release_transport, 0x5a1127f7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x20b401b1, "device_for_each_child" },
	{ 0xd03de448, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xba2ef16e, "device_add" },
	{ 0xec7d352e, "transport_add_device" },
	{ 0x5e15fdd7, "transport_configure_device" },
	{ 0x78b919bf, "device_del" },
	{ 0x9378879d, "transport_destroy_device" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x113971f, "get_device" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x49ab2dc0, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xb1921a0d, "scsi_scan_target" },
	{ 0x147fbf3d, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xfeec2132, "transport_class_register" },
	{ 0x95e51730, "transport_class_unregister" },
	{ 0x9dbb0ea9, "transport_remove_device" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0xef6885ea, "attribute_container_register" },
	{ 0x6c4e8991, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x14f5229b, "dev_printk" },
	{ 0xe80f2a46, "scsi_mode_sense" },
	{ 0x947f9712, "attribute_container_unregister" },
	{ 0xc305dc2f, "scsi_remove_host" },
	{ 0x9ef63cc3, "bsg_remove_queue" },
	{ 0x1a64ff0b, "scsi_remove_target" },
	{ 0x3dfd0456, "scsi_is_host_device" },
	{ 0xcc7022bd, "_dev_warn" },
	{ 0xdec2bad7, "bsg_job_done" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0x3181a048, "dma_opt_mapping_size" },
	{ 0xed07690e, "device_initialize" },
	{ 0x7ca657b0, "dev_set_name" },
	{ 0xa57be146, "transport_setup_device" },
	{ 0x29ed4133, "scsi_get_vpd_page" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "176C35C46ED21A5F600B01B");
MODULE_INFO(rhelversion, "9.6");
