#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_timer_instance_new, "", "");
KSYMTAB_FUNC(snd_timer_instance_free, "", "");
KSYMTAB_FUNC(snd_timer_open, "", "");
KSYMTAB_FUNC(snd_timer_close, "", "");
KSYMTAB_FUNC(snd_timer_resolution, "", "");
KSYMTAB_FUNC(snd_timer_start, "", "");
KSYMTAB_FUNC(snd_timer_stop, "", "");
KSYMTAB_FUNC(snd_timer_continue, "", "");
KSYMTAB_FUNC(snd_timer_pause, "", "");
KSYMTAB_FUNC(snd_timer_interrupt, "", "");
KSYMTAB_FUNC(snd_timer_new, "", "");
KSYMTAB_FUNC(snd_timer_notify, "", "");
KSYMTAB_FUNC(snd_timer_global_new, "", "");
KSYMTAB_FUNC(snd_timer_global_free, "", "");
KSYMTAB_FUNC(snd_timer_global_register, "", "");

SYMBOL_CRC(snd_timer_instance_new, 0x4b098f25, "");
SYMBOL_CRC(snd_timer_instance_free, 0x6f7e2aa4, "");
SYMBOL_CRC(snd_timer_open, 0x6780255b, "");
SYMBOL_CRC(snd_timer_close, 0x92756a2d, "");
SYMBOL_CRC(snd_timer_resolution, 0x43a3826a, "");
SYMBOL_CRC(snd_timer_start, 0x363c35f4, "");
SYMBOL_CRC(snd_timer_stop, 0xe93c7af0, "");
SYMBOL_CRC(snd_timer_continue, 0x097cc535, "");
SYMBOL_CRC(snd_timer_pause, 0x32a2a9d8, "");
SYMBOL_CRC(snd_timer_interrupt, 0x294c20d7, "");
SYMBOL_CRC(snd_timer_new, 0x7dbcca5b, "");
SYMBOL_CRC(snd_timer_notify, 0x485f8076, "");
SYMBOL_CRC(snd_timer_global_new, 0x30fcc726, "");
SYMBOL_CRC(snd_timer_global_free, 0x64f94fcb, "");
SYMBOL_CRC(snd_timer_global_register, 0x54251ba6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89ac7776, "try_module_get" },
	{ 0x255024f8, "snd_info_register" },
	{ 0xb5c68fa3, "snd_info_create_module_entry" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x7ca657b0, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x793e3a18, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0xe97194c3, "add_wait_queue" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xed87b097, "snd_fasync_helper" },
	{ 0xbbdeeb4e, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x113971f, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xd03de448, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xabfeaecc, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x6a762bf, "snd_unregister_device" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdf7c0e7b, "snd_device_alloc" },
	{ 0xdb66b02c, "snd_device_new" },
	{ 0xdcb764ad, "memset" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x1bd0acfc, "__init_waitqueue_head" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a6d16d3, "seq_printf" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe085e717, "remove_wait_queue" },
	{ 0xcbe32a7a, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0xeee158d6, "param_ops_int" },
	{ 0x38d5cb17, "snd_register_device" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "EA5E9DFE091C38394E9108F");
MODULE_INFO(rhelversion, "9.6");
