#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0xa44d6004, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0xcda7fde7, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0xbc4c481d, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0xc6b6afb4, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xb4668619, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x3aba8a24, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0xa26ab1bf, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x70026562, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x52c1de7d, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x76a16be3, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x851fe7b0, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0xa047ea33, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0xa15fe2d2, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0xa8dfffe4, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x3061d2f5, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x521d89b5, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xc9e9ba0e, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x065c8429, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x64d6e32d, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x2a0f3c88, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x85914ae2, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0xafce6781, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0xeff07cf7, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x66b12c25, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x4d6673fa, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x80a3942e, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x5381347c, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0xd68e1319, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0xba405f0e, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x90dcfb34, "");
SYMBOL_CRC(drm_dp_aux_init, 0x9deef252, "");
SYMBOL_CRC(drm_dp_aux_register, 0x3ab844d9, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x5331d80e, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x443960b5, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xa9eeb4f4, "");
SYMBOL_CRC(drm_dp_read_desc, 0x0902d9c7, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xb20d133a, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x852f5695, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xe1eaa09c, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x8b0e4c89, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xb0846525, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x45fcc943, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x46382b50, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x9c0e7b7b, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x72109850, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x6cd05a90, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0xe8eb941a, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x1c22a155, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x67182e43, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x708d9d56, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x98a0ef8a, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0xde42706a, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x247fed88, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xab966232, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x72b48c0b, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x2dc6f66a, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x87b35ec0, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0xd7969503, "");
SYMBOL_CRC(drm_edp_backlight_init, 0xf16d214e, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0xf5c159d4, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0x6b72dfac, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0xc0617244, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0xdbda6fa2, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x28a12988, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0xc5586891, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0xd4aced29, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x319dbeb0, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x47a0da97, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x5cd29721, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x12fdc7b6, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0xa79b89da, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0xd246f7f3, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x03ccc6dc, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x6845d245, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x9576bb9b, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0xafd23b55, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x6ecbb1d0, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xa6e498d4, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xe4cf285a, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0xb98837b9, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xdccf583b, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0xad98d312, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0xdc479600, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x87d6bcea, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x3e82bb68, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0xacf1cfc6, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0xfd0e8cbb, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x31b99c3d, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0xcccf4b83, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x6e528267, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x1b5c4700, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0xc2cd2082, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0xcc7a2aa9, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x24f5b43b, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xbdff368e, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0xfac3f77f, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x69c6ea54, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x0afffc65, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x8f402caf, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x067a531a, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xfa5e8a43, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0xd6e26379, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x7a883841, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x3904e87b, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x946371e6, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x1c4dc53e, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x0d66ccf2, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x0d5b5fb1, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x3c49be2f, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0x8e8f5ecf, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x397f5bc1, "");
SYMBOL_CRC(drm_scdc_read, 0x685c144d, "");
SYMBOL_CRC(drm_scdc_write, 0xed9c6d16, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x7d730478, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0xe0339f0d, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0xcc1e024b, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xc7e9f113, "");
SYMBOL_CRC(drm_dp_cec_attach, 0x8bc51489, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x6f932c7c, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0xb4db7a3d, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0xb06d6528, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0xc6a37f46, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde3dafab, "drm_crtc_add_crc_entry" },
	{ 0x9ae6b2da, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x33b6d7d1, "_copy_to_iter" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x55a2a0be, "idr_find" },
	{ 0x282bb6fb, "drm_connector_register" },
	{ 0x510251fb, "cec_transmit_attempt_done_ts" },
	{ 0x7193a530, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xc3592e1e, "devm_kmalloc" },
	{ 0xa1a7fef6, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ab5d60a, "__drm_printfn_dbg" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xbe07980c, "finish_wait" },
	{ 0x7d3ca16d, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x916099ab, "class_destroy" },
	{ 0x253675a2, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x5f3126d4, "cec_s_conn_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x57e6f878, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x37c28cc1, "prepare_to_wait_event" },
	{ 0xa88977b7, "drm_connector_unregister" },
	{ 0xbbdeeb4e, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd81f337a, "drm_mode_object_put" },
	{ 0x47965b9e, "dev_driver_string" },
	{ 0xfc22e4c3, "request_firmware_direct" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0xd4a57c51, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x1bcc8b93, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x6d06a2c5, "idr_get_next" },
	{ 0x8a788662, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xd6b133eb, "drm_dev_printk" },
	{ 0xdbde63a2, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7a741ac2, "__var_waitqueue" },
	{ 0x5011d138, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdfbe304b, "drm_crtc_wait_one_vblank" },
	{ 0xd65698eb, "idr_remove" },
	{ 0x5ab17538, "drm_modeset_lock" },
	{ 0xfae3afe6, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2101965b, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x4e3412d9, "idr_alloc" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xf38d4b8b, "device_create" },
	{ 0x98077d2a, "class_create" },
	{ 0xf1549bc1, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x11259288, "fixed_size_llseek" },
	{ 0x5f9bc97e, "drm_crtc_commit_wait" },
	{ 0xdb87b69b, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3e24369, "cec_unregister_adapter" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf80735bc, "drm_object_attach_property" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x5af6f48c, "drm_atomic_get_old_private_obj_state" },
	{ 0xcc40785e, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0xdcb764ad, "memset" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x1bd0acfc, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x5f3e2dd3, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xb37ad68d, "mutex_trylock" },
	{ 0xcd35afe5, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd096049, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x11a2cce, "drm_object_property_set_value" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x59b8001a, "drm_kms_helper_hotplug_event" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe0745733, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4bf3a2cb, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a6d16d3, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x5ffffbd9, "_copy_from_iter" },
	{ 0x6e7f595c, "i2c_transfer" },
	{ 0x3441c0d7, "drm_display_mode_from_cea_vic" },
	{ 0x57e29080, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe090edd3, "cec_fill_conn_info_from_drm" },
	{ 0x12104a30, "drm_sysfs_connector_property_event" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0x9905b7bf, "cec_received_msg_ts" },
	{ 0xeee158d6, "param_ops_int" },
	{ 0x2c889d91, "iov_iter_revert" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xbc061449, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0xff7c0d94, "drm_atomic_get_connector_state" },
	{ 0x8618e5a, "drm_edid_get_monitor_name" },
	{ 0x6cf9a17c, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e51d68d, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper");


MODULE_INFO(srcversion, "558CFA9D0738B2C2B9B01C6");
MODULE_INFO(rhelversion, "9.6");
