#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0x7030fc80, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x84e8f80d, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x137c8687, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x0f693754, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0x4c2df2cf, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x82436767, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0xc1880ad0, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x0ae40f8e, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x33af6d9e, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0xaf2326ba, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x42fd3edd, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0xa51f10ea, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x8bfa5cb3, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0xc0df6967, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x713c4a7d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x21b0a58c, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x89ac7776, "try_module_get" },
	{ 0xb0342c49, "drm_fb_helper_init" },
	{ 0x691bfa9c, "drm_fb_helper_debug_enter" },
	{ 0x9e30cde7, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xc16a3dbf, "drm_client_buffer_vmap" },
	{ 0x587edf21, "drm_fb_helper_lastclose" },
	{ 0xe30dc596, "drm_fb_helper_setcmap" },
	{ 0x65d9dbea, "drm_fb_helper_alloc_info" },
	{ 0x201ce6f3, "drm_helper_disable_unused_functions" },
	{ 0x3af338a5, "drm_fb_helper_unprepare" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xdc42b282, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x56dc244e, "drm_fb_helper_fini" },
	{ 0x1d1a4372, "dma_mmap_pages" },
	{ 0xf267b5f7, "drm_client_framebuffer_delete" },
	{ 0x971281c8, "dma_free_pages" },
	{ 0x6dec8a0b, "drm_client_framebuffer_create" },
	{ 0x37a0cba, "kfree" },
	{ 0xdfc1a27d, "drm_fb_helper_fill_info" },
	{ 0x33ddfbe3, "drm_gem_create_mmap_offset" },
	{ 0x1ac15273, "drm_gem_object_init" },
	{ 0x47965b9e, "dev_driver_string" },
	{ 0x3a770ef6, "drm_fb_helper_hotplug_event" },
	{ 0x860d1f7a, "fb_sys_write" },
	{ 0x85955d4c, "sys_imageblit" },
	{ 0xa7f744de, "drm_atomic_helper_damage_iter_init" },
	{ 0xcbbb0ef0, "drm_fb_helper_blank" },
	{ 0x883cbb88, "dma_alloc_pages" },
	{ 0xb591d540, "drm_gem_private_object_init" },
	{ 0x37ac9a02, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1631aed, "sys_fillrect" },
	{ 0xabfeaecc, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xb59e482e, "drm_client_init" },
	{ 0xec8c56ab, "drm_gem_vm_close" },
	{ 0x66e35795, "drm_gem_vm_open" },
	{ 0xbf000aa8, "drm_fb_helper_prepare" },
	{ 0x77a03a4d, "down_write" },
	{ 0x2101965b, "_dev_err" },
	{ 0xc192f218, "up_write" },
	{ 0x89308d66, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x3cc65a18, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x7f69e0ae, "drm_gem_handle_create" },
	{ 0xf18133c7, "drm_gem_fb_get_obj" },
	{ 0xcc40785e, "__drm_dev_dbg" },
	{ 0x3278bbe4, "drm_fb_helper_pan_display" },
	{ 0xafe6ca77, "drm_client_release" },
	{ 0x2c509abd, "sys_copyarea" },
	{ 0x2f813932, "dma_free_attrs" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x59250b7a, "__dma_sync_single_for_device" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa0dc645b, "drm_client_buffer_vunmap" },
	{ 0xa06bce93, "fb_sys_read" },
	{ 0xce407aa, "drm_fb_helper_debug_leave" },
	{ 0x47a1a94c, "dma_buf_vmap_unlocked" },
	{ 0xbe4e8660, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6a4b49c1, "dma_get_sgtable_attrs" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x941817b9, "drm_fb_helper_initial_config" },
	{ 0x866e91fb, "drm_fb_helper_unregister_info" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0xb4611c03, "drm_fb_helper_ioctl" },
	{ 0xaaa56bce, "drm_fb_helper_set_par" },
	{ 0xe567b4d3, "drm_prime_gem_destroy" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "2ED1A1BB11B350C7F9853DB");
MODULE_INFO(rhelversion, "9.6");
