#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(devm_drm_of_get_bridge, "", "");
KSYMTAB_FUNC(drmm_of_get_bridge, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x390cf94b, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x2e369696, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x8886160b, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x7cf90851, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x586c7c6c, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x3d97ab98, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x5c3fa33c, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x6631187c, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xafeb452d, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xcbf066e3, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xfec72e0c, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x6c093cd5, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x1561759c, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x7fa8242e, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x66f5b5c8, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x78d6bf51, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xef9a0a90, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x132e7d41, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x2af1f5b7, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xb78cc90c, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x6d8ea617, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xc1aaa47b, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x81a0bde7, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xa54b7c02, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x38faf488, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x8f697d23, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xf4a8ef20, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x650d41ef, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x9e4f8cf0, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x08cb8151, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xda087b25, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x2bb723f2, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x15eb04f6, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x0dbdc14a, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xca358818, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x6253eefb, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x6af2d9c7, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x1de86558, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x477d8363, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x1a94f252, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x34e48c8a, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xa9d3a4b1, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x4ede0af9, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x7a002c61, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x7399da57, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x88620885, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0xbd5ea578, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xc00a6a39, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x9f63c57e, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x1dc1b40a, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xeda859ad, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x1c644725, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x8cbc733f, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x1fa71285, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x96d822a2, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xa5674b96, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0xf07e3cee, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xf9137e18, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x687bff34, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xf351fcbc, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x4234a32c, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x9f08b3f8, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xdfa4151f, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x2098998f, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x7f37aa94, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x5d29a0a3, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xd4a57c51, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x801c0d54, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x6dbd0694, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xc7e68df1, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x456f8456, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xb6ab294c, "");
SYMBOL_CRC(drm_bridge_connector_init, 0x6d46031f, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xd552efbd, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0xc48579eb, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x201ce6f3, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x6bfc62cb, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x3a625ede, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x24fa6e38, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xd235435a, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xd3d4551e, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x74afa0d6, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x7cb6bd72, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x5deb7e12, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xa7f744de, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x94b32ab5, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x1c3da9e2, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x11acc5f4, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x84cbbc4c, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x17b9f67e, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xf522b4a5, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xfa81e262, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x22c9f28c, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x7b13c588, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x7f5fb667, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0xff1d684f, "");
SYMBOL_CRC(drm_flip_work_queue, 0xc3c2cf04, "");
SYMBOL_CRC(drm_flip_work_commit, 0xa435a233, "");
SYMBOL_CRC(drm_flip_work_init, 0xfa83ac7a, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x4ba7b999, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x5575850f, "");
SYMBOL_CRC(drm_fb_swab, 0x6f2b7e1c, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x415a19a2, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x361bca27, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x9f0d95d0, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xb9bc89ae, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x5a66ab18, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0xa1632cf5, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x61227847, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xc6fd47bf, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xc283dc84, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x71ac5e6d, "");
SYMBOL_CRC(drm_fb_blit, 0xff503069, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xdb35729d, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x7c3d9951, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x034362ba, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xed31134b, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x88cd93fc, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x492980ec, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x4ed6c60f, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x648c7b2b, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x466a169f, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x31f99bee, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x8500d1e3, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xb194ff44, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xaf359061, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xe8b08090, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x9505717e, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x34a2e4ce, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xf18133c7, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x058276b1, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xd3e81e65, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x4f725fb5, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x0e96b274, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x3026fce0, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x7b78c05d, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x2894902d, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x07cd4c4d, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x200f0064, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x74a6c1f1, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x94c64933, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x3b7ed469, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xa67138ac, "");
SYMBOL_CRC(drm_crtc_init, 0xd8f693a3, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x1a26d0ff, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x5f76219f, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x5329d860, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x2c5747c2, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x10471a0d, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x8ab8efe6, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x967dea28, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x7a3b39dc, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x0cd9cb3d, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x59b8001a, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x70c41afd, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x7a04abd8, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x5a603432, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xc27b48d1, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x96e96809, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x0e3cbeca, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x7c36fd3d, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xa0b9e177, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x222bd326, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xa8deecca, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xc9cae82a, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x4f828dfc, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x9b334a15, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x34bb348b, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xf066dc12, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xb788dbc2, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x4afe93c7, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xa0e93cd1, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xb3cf982d, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x626f636e, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x3bba643b, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x433fdd37, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xaa2d816a, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x72ae6109, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x53d45a22, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x7d5a5ab2, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x730254f8, "");
SYMBOL_CRC(devm_drm_of_get_bridge, 0x1d791b30, "");
SYMBOL_CRC(drmm_of_get_bridge, 0x65b8e960, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0xeeb64d76, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x691bfa9c, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x0ce407aa, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x8e8346ec, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xcbbb0ef0, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0xbf000aa8, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x3af338a5, "");
SYMBOL_CRC(drm_fb_helper_init, 0xb0342c49, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x65d9dbea, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xd8f0a3f6, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x866e91fb, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x56dc244e, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x73281f77, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x312d78d0, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x272ab50d, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0xa1d2e34a, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x76bbf101, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xe30dc596, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xb4611c03, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x37ac9a02, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xaaa56bce, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x3278bbe4, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xdfc1a27d, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x941817b9, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x3a770ef6, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x587edf21, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0xe6a3e36f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c067252, "unregister_framebuffer" },
	{ 0x9a1c6f24, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xd6ea74f5, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x21b0a58c, "drm_client_register" },
	{ 0xc8d6f656, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x5df509af, "drm_panel_get_modes" },
	{ 0xdb2a82b9, "drm_gem_vmap_unlocked" },
	{ 0x89ac7776, "try_module_get" },
	{ 0xd23a335e, "drm_connector_list_update" },
	{ 0x23a9ddac, "drm_bridge_add" },
	{ 0xb7e1abb7, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0x282bb6fb, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc3592e1e, "devm_kmalloc" },
	{ 0x969465fc, "drm_client_rotation" },
	{ 0xc16a3dbf, "drm_client_buffer_vmap" },
	{ 0x84d69770, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2e5d52cc, "drm_framebuffer_init" },
	{ 0x10279212, "drm_mode_validate_driver" },
	{ 0x2287bffa, "drm_atomic_add_affected_planes" },
	{ 0x43e32d95, "dma_buf_end_cpu_access" },
	{ 0x384cc933, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa92a6644, "drm_mode_probed_add" },
	{ 0xb0f39b4e, "drm_atomic_add_affected_connectors" },
	{ 0xdcdac76, "drm_gem_vunmap_unlocked" },
	{ 0x434cfac9, "drm_bridge_hpd_enable" },
	{ 0x16d6d701, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xbe07980c, "finish_wait" },
	{ 0xb36cf03d, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf267b5f7, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x6dec8a0b, "drm_client_framebuffer_create" },
	{ 0xe8dd1ba5, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x4cd4dee4, "drm_mode_object_get" },
	{ 0xf1399c24, "drm_edid_override_connector_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xd9c49589, "drm_driver_legacy_fb_format" },
	{ 0xcb018900, "drm_crtc_cleanup" },
	{ 0x6711d0ed, "drm_connector_list_iter_begin" },
	{ 0x34e51698, "fb_deferred_io_init" },
	{ 0x3c658efc, "drm_mode_set_config_internal" },
	{ 0x155e4af3, "fb_deferred_io_cleanup" },
	{ 0x37c28cc1, "prepare_to_wait_event" },
	{ 0x5a1edcdc, "framebuffer_alloc" },
	{ 0x98ba56c7, "drm_encoder_cleanup" },
	{ 0xa88977b7, "drm_connector_unregister" },
	{ 0x2baa2ffe, "drm_modeset_acquire_init" },
	{ 0xad597b8f, "dma_fence_set_deadline" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x629ac74, "drm_client_modeset_probe" },
	{ 0x326d9e71, "drm_warn_on_modeset_not_all_locked" },
	{ 0x1162fb72, "drm_plane_get_damage_clips" },
	{ 0x8730c86a, "devres_add" },
	{ 0xec706682, "dma_fence_wait_timeout" },
	{ 0xfdff2d55, "drm_add_modes_noedid" },
	{ 0xc243ca01, "drm_bridge_remove" },
	{ 0xd81f337a, "drm_mode_object_put" },
	{ 0x47965b9e, "dev_driver_string" },
	{ 0xd48bc78e, "drm_crtc_vblank_get" },
	{ 0x72a36755, "drm_gem_object_lookup" },
	{ 0xa5d67b2b, "drm_crtc_send_vblank_event" },
	{ 0x3bfafaf0, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x860d1f7a, "fb_sys_write" },
	{ 0x6708cf26, "drm_atomic_normalize_zpos" },
	{ 0x209cb640, "drm_edid_connector_update" },
	{ 0xe846f2a0, "drm_sysfs_hotplug_event" },
	{ 0x5ec25ea5, "drm_bridge_hpd_disable" },
	{ 0x85955d4c, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xcb601d26, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf4d84af4, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x1631aed, "sys_fillrect" },
	{ 0xa8bdd364, "drm_connector_list_iter_end" },
	{ 0x6d2eb871, "drm_atomic_set_crtc_for_plane" },
	{ 0xb63c8265, "drm_bridge_edid_read" },
	{ 0xe1c6edb9, "drm_client_modeset_dpms" },
	{ 0x583a2f9, "drm_mode_prune_invalid" },
	{ 0xdbcc8028, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x86f83340, "_dev_info" },
	{ 0xb5f8b3be, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x735a8d51, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xabfeaecc, "module_put" },
	{ 0x5b971102, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x5011d138, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xb59e482e, "drm_client_init" },
	{ 0xdfbe304b, "drm_crtc_wait_one_vblank" },
	{ 0x5a74b9f, "drm_crtc_next_vblank_start" },
	{ 0x5476e659, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x5ab17538, "drm_modeset_lock" },
	{ 0x4d88f3b3, "drm_client_modeset_commit_locked" },
	{ 0xfae3afe6, "drm_modeset_unlock" },
	{ 0x109812ef, "drm_panel_disable" },
	{ 0xae52e023, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1c2aa8e, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa0f7fd62, "devm_kfree" },
	{ 0x2101965b, "_dev_err" },
	{ 0x8953f2a0, "drm_writeback_cleanup_job" },
	{ 0x6048946f, "drm_modeset_lock_all_ctx" },
	{ 0x273de583, "i2c_unregister_device" },
	{ 0xb8b820bc, "drm_atomic_set_fb_for_plane" },
	{ 0xd76db2e4, "__drm_universal_plane_alloc" },
	{ 0x251be882, "drm_connector_init_with_ddc" },
	{ 0x921dacbe, "drm_edid_connector_add_modes" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x17cb3cbc, "__devres_alloc_node" },
	{ 0x95a362db, "drm_edid_read" },
	{ 0x5f9bc97e, "drm_crtc_commit_wait" },
	{ 0xaff184ba, "drm_dev_has_vblank" },
	{ 0x32c3e96d, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x41411056, "__drm_atomic_helper_disable_plane" },
	{ 0xdb991690, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x7f69e0ae, "drm_gem_handle_create" },
	{ 0x6e15ab3d, "drm_atomic_set_crtc_for_connector" },
	{ 0xbe294212, "drm_analog_tv_mode" },
	{ 0xe0f4ff3b, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xf684e5b6, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x8f51ae, "drm_crtc_vblank_put" },
	{ 0x6b906288, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xcc40785e, "__drm_dev_dbg" },
	{ 0x2eab0f5a, "drm_plane_get_damage_clips_count" },
	{ 0xa6c8dd2b, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x71f92b8, "fb_deferred_io_mmap" },
	{ 0xfaa4caf4, "drm_atomic_state_alloc" },
	{ 0x38af8604, "drm_client_modeset_commit" },
	{ 0xdcb764ad, "memset" },
	{ 0xcc7022bd, "_dev_warn" },
	{ 0x11d74cc6, "drm_atomic_bridge_chain_post_disable" },
	{ 0xc60afbe4, "drm_connector_update_edid_property" },
	{ 0x9f3b2f20, "fwnode_handle_get" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x58919ffe, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x904ec736, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xafe6ca77, "drm_client_release" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xa579a85c, "__drm_atomic_helper_set_config" },
	{ 0xb37ad68d, "mutex_trylock" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0xaa58fb63, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xc4e3d269, "drm_get_format_info" },
	{ 0x3332ecb7, "drm_connector_cleanup" },
	{ 0x55fa9bbf, "drm_universal_plane_init" },
	{ 0x3bd43dea, "drm_any_plane_has_format" },
	{ 0x2c509abd, "sys_copyarea" },
	{ 0x6be17e7c, "drm_connector_list_iter_next" },
	{ 0x15221cb5, "drm_modeset_acquire_fini" },
	{ 0x6f6753d1, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0xf55b611b, "drm_object_property_get_default_value" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x5e14310, "param_ops_bool" },
	{ 0x87a9575a, "drm_of_find_panel_or_bridge" },
	{ 0x3b7bd110, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb762ede9, "drm_modeset_backoff" },
	{ 0xf80c996, "drm_panel_prepare" },
	{ 0x303bb7c7, "drm_bridge_chain_mode_set" },
	{ 0xa0dc645b, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xa06bce93, "fb_sys_read" },
	{ 0x58b3e360, "drm_atomic_get_plane_state" },
	{ 0xcc1aede, "drm_atomic_bridge_chain_check" },
	{ 0xb153d866, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0x3a3df51a, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x412c2c07, "drm_property_blob_put" },
	{ 0x633ebd20, "drm_mode_destroy" },
	{ 0x2341b170, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x60e71f8f, "drm_set_preferred_mode" },
	{ 0xae1db79c, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xc21e5933, "drm_atomic_state_clear" },
	{ 0xa76f16a9, "drm_mode_config_reset" },
	{ 0x76d9d39, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0x640e1e48, "drm_modeset_drop_locks" },
	{ 0x65bec5b6, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x11c8c460, "drm_atomic_bridge_chain_disable" },
	{ 0xfb3324f3, "drm_mode_create_from_cmdline_mode" },
	{ 0xefc75830, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xeee158d6, "param_ops_int" },
	{ 0x24cb01cb, "drm_atomic_nonblocking_commit" },
	{ 0x66f7e09b, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x11541a9f, "drm_master_internal_release" },
	{ 0x14b7b8e6, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xab42d574, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0x813ff8c9, "drm_atomic_add_encoder_bridges" },
	{ 0xff7c0d94, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc23f503d, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "B691302735FEF891793A40E");
MODULE_INFO(rhelversion, "9.6");
