#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xff16a1ef, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xdafcc229, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x7045f65b, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x70048b68, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xf93058a3, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x739b5ae8, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xfc589bba, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x2b9eca1b, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x715cde7f, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xc39b55db, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x326976d1, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x11c543a5, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x7eec1dbd, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x1b7bf744, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x02272efa, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x1d0a7436, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xfbe18bc8, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x3339fe5f, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x45f859ae, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x424b54df, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xa7cece27, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x89ccebc4, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x4d1bf7d5, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x668ef0da, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x30ea3a70, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x124891af, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xec14fe0c, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xf89b59de, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x9cc5359d, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xfee136ad, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x9bef1e15, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x79bfd01f, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xfedc2952, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xe9f48769, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xb0cc49dc, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xb30a9145, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x2b6b630b, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xc9181914, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xb0de5c90, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x7abfa9f0, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x548294c6, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0xf63b4839, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x25474483, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x45c1cfc8, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x2bc583bb, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x5ec8bf1f, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x48cca1a9, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x611e3f48, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x225ac23a, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x13777e75, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xcd72a8e4, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x5e4e1fa4, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xe81ba4b6, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x0c924577, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xff54b2a5, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8e7ec2b6, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x91d39d8d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xb30ee558, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x3bdf79e6, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x51913b4c, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xeb1cb5ce, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0xeb41018a, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x56f04e25, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e9e826c, "set_capacity_and_notify" },
	{ 0xedeac593, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7963d2, "set_disk_ro" },
	{ 0xc7216f17, "__blk_alloc_disk" },
	{ 0x8bf2a235, "ida_alloc_range" },
	{ 0x89ac7776, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x627cc6a6, "blk_rq_integrity_map_user" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x79b999f6, "ida_destroy" },
	{ 0x36972f80, "device_remove_file_self" },
	{ 0x7193a530, "param_ops_uint" },
	{ 0x11117b3d, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7ca657b0, "dev_set_name" },
	{ 0xc5ab145a, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x1306dd9e, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x7304509a, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x88908f7, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xa89146ed, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd39ef469, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xbe07980c, "finish_wait" },
	{ 0xec906a0, "queue_limits_stack_bdev" },
	{ 0x39a3344d, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xed07690e, "device_initialize" },
	{ 0x29b56c57, "blk_mq_unquiesce_queue" },
	{ 0xc75ab210, "blk_mq_quiesce_queue" },
	{ 0x57142993, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x95ad8592, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xf6396f6a, "__traceiter_block_bio_remap" },
	{ 0x42277c7d, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x54fcf5e5, "bpf_trace_run2" },
	{ 0x37c28cc1, "prepare_to_wait_event" },
	{ 0xfbca11a4, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xbbdeeb4e, "__wake_up" },
	{ 0x808ce7da, "event_triggers_call" },
	{ 0x8c6eb115, "synchronize_srcu" },
	{ 0xb122bc8b, "param_ops_byte" },
	{ 0x16a3ef95, "kmem_cache_create" },
	{ 0x113971f, "get_device" },
	{ 0xbb06fc6a, "blk_mq_end_request" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xfea7ccf6, "__blk_mq_alloc_disk" },
	{ 0xc9e4f99d, "__dynamic_dev_dbg" },
	{ 0xf32b1901, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4a159d4c, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xce1dcd93, "blk_mq_alloc_tag_set" },
	{ 0xdde4a388, "blk_rq_is_poll" },
	{ 0x143cf8e2, "trace_event_buffer_commit" },
	{ 0xa27a5c06, "crypto_destroy_tfm" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x1b98f6b3, "mempool_create" },
	{ 0x6459c4e2, "put_disk" },
	{ 0x6b29f447, "crypto_alloc_kpp" },
	{ 0x2bd01991, "cdev_device_add" },
	{ 0xfb0bc002, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x5fbd213d, "blk_execute_rq" },
	{ 0xd03de448, "put_device" },
	{ 0x6017ae86, "trace_event_ignore_this_pid" },
	{ 0x2358a0f2, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xfd2e5c97, "kmalloc_node_trace" },
	{ 0xbcfec133, "mempool_alloc" },
	{ 0xad1c72fc, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0xb695d4f0, "__free_pages" },
	{ 0x86f83340, "_dev_info" },
	{ 0xccf74523, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xabfeaecc, "module_put" },
	{ 0x49ab2dc0, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa351935a, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6f3e1d3a, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xfd0b680c, "blk_mq_quiesce_tagset" },
	{ 0x9479752d, "kobject_uevent_env" },
	{ 0x1d5895a5, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xdec9d61c, "init_srcu_struct" },
	{ 0xea9e3146, "perf_trace_run_bpf_submit" },
	{ 0x2101965b, "_dev_err" },
	{ 0x48a34ee6, "blk_revalidate_disk_zones" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7f905960, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xba2ef16e, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xdac2ba42, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x6c4e8991, "sysfs_remove_link" },
	{ 0x8614f84b, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2450c152, "__srcu_read_lock" },
	{ 0x7e072552, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xe451ef3f, "submit_bio_noacct" },
	{ 0xaaba9a5b, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x3f811a55, "blk_sync_queue" },
	{ 0x68e53084, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x564465bd, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x5a850ea6, "blk_mq_alloc_request_hctx" },
	{ 0x77a3b720, "blk_mq_alloc_request" },
	{ 0x7fe081cd, "ida_free" },
	{ 0x673e9369, "crypto_shash_update" },
	{ 0xcdecf26e, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x86de053c, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xeb5f07e0, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbd2d3ce, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0xc9373323, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xc50ddb7d, "blk_put_queue" },
	{ 0xd27e8e5e, "bpf_trace_run1" },
	{ 0x78b919bf, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0xcc7022bd, "_dev_warn" },
	{ 0xf2dcab, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x1bd0acfc, "__init_waitqueue_head" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x57d2afe4, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb2edc96b, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0xcb0b2b86, "xa_erase" },
	{ 0xbcd1f7ef, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x1087dcb7, "blk_mq_complete_request" },
	{ 0x9cc63428, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc732c62e, "trace_event_buffer_reserve" },
	{ 0xda4c432c, "crypto_shash_final" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x5e14310, "param_ops_bool" },
	{ 0xa754206, "blk_mq_destroy_queue" },
	{ 0x944dacc2, "xa_destroy" },
	{ 0x2b52e358, "blk_freeze_queue_start" },
	{ 0xd4af9976, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x88e743c6, "xa_find" },
	{ 0x28e1099d, "alloc_pages" },
	{ 0xaed58e1, "mempool_destroy" },
	{ 0x8dc6d23a, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65f3c8c, "__tracepoint_block_bio_complete" },
	{ 0x7d5300c3, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x19a69ec8, "__srcu_read_unlock" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x7d795f2a, "blk_mq_unfreeze_queue" },
	{ 0xcaf3350, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xede6f781, "queue_limits_commit_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2a2dfcd5, "xa_find_after" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0x95c2bda1, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe5626f15, "crypto_alloc_shash" },
	{ 0xc855dae9, "blk_mq_freeze_queue_wait" },
	{ 0x38ba7e64, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x607f9138, "blk_mq_requeue_request" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xaf9a0027, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x621495cc, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1ee7b223, "bdev_end_io_acct" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0x8cdc8175, "blk_steal_bios" },
	{ 0x74e3cd8f, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "F02EA9D30425E87D0B882CD");
MODULE_INFO(rhelversion, "9.6");
