#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x833ef355, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb0cc49dc, "nvme_remove_admin_tag_set" },
	{ 0x5e4e1fa4, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8bf2a235, "ida_alloc_range" },
	{ 0x7abfa9f0, "nvme_uninit_ctrl" },
	{ 0x79b999f6, "ida_destroy" },
	{ 0x70048b68, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdaeca8b, "nvmf_free_options" },
	{ 0xce70b6ff, "nvmf_subsystem_reset" },
	{ 0xa89146ed, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xbe07980c, "finish_wait" },
	{ 0x668ef0da, "nvme_stop_keep_alive" },
	{ 0x5e8caf47, "blk_mq_complete_request_remote" },
	{ 0xad74b4be, "dma_unmap_page_attrs" },
	{ 0xfbe18bc8, "nvme_setup_cmd" },
	{ 0xb0de5c90, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0xe9f48769, "nvme_alloc_admin_tag_set" },
	{ 0x8aeb2f04, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x37c28cc1, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x58885cae, "nvmf_reg_read32" },
	{ 0xbbdeeb4e, "__wake_up" },
	{ 0x7045f65b, "nvme_delete_ctrl" },
	{ 0x113971f, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x47965b9e, "dev_driver_string" },
	{ 0x18d8e6bd, "nvmf_get_address" },
	{ 0x5a2664c2, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x2b6b630b, "nvme_remove_io_tag_set" },
	{ 0x1d0a7436, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb30ee558, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd4e9076c, "nvmf_unregister_transport" },
	{ 0x7858a4ac, "blkcg_get_fc_appid" },
	{ 0xd03de448, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc39b55db, "nvme_change_ctrl_state" },
	{ 0x86f83340, "_dev_info" },
	{ 0x548294c6, "nvme_init_ctrl" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xb30a9145, "nvme_alloc_io_tag_set" },
	{ 0x1b7bf744, "nvme_fail_nonready_command" },
	{ 0x9479752d, "kobject_uevent_env" },
	{ 0x68bacf73, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2101965b, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0xf38d4b8b, "device_create" },
	{ 0x3f811a55, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x71a5d1a3, "__blk_rq_map_sg" },
	{ 0x7fe081cd, "ida_free" },
	{ 0xbd21254f, "nvmf_reg_read64" },
	{ 0xcdecf26e, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb1c8bc0a, "nvmf_connect_admin_queue" },
	{ 0x9cc5359d, "nvme_enable_ctrl" },
	{ 0xcd72a8e4, "nvme_unquiesce_admin_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xcc7022bd, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x1bd0acfc, "__init_waitqueue_head" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x225ac23a, "nvme_unquiesce_io_queues" },
	{ 0x2d1efa64, "blk_mq_update_nr_hw_queues" },
	{ 0x79afaa50, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf273950c, "nvmf_should_reconnect" },
	{ 0x59250b7a, "__dma_sync_single_for_device" },
	{ 0xfedc2952, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4bf3a2cb, "device_destroy" },
	{ 0xec14fe0c, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x444f9932, "nvmf_register_transport" },
	{ 0x3a967583, "blk_mq_start_request" },
	{ 0x611e3f48, "nvme_quiesce_io_queues" },
	{ 0xcaf3350, "blk_mq_tagset_busy_iter" },
	{ 0xc9181914, "nvme_stop_ctrl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5d8e25e6, "dma_unmap_sg_attrs" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0xfee136ad, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xdafcc229, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x13777e75, "nvme_quiesce_admin_queue" },
	{ 0xaf9a0027, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2272efa, "__nvme_check_ready" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0x5b3a2ac5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf63b4839, "nvme_add_ctrl" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "837806316F0ED06192F0363");
MODULE_INFO(rhelversion, "9.6");
