#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x9198742d, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0x8d34da0c, "_gpl");
SYMBOL_CRC(sas_free_task, 0x53b6e744, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x2e56a4ff, "");
SYMBOL_CRC(sas_resume_ha, 0x011aa257, "");
SYMBOL_CRC(sas_suspend_ha, 0x339bf10d, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xe67db583, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x8756660a, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x845d9575, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x52a71af3, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xf4ffe6c0, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xfd0b61c6, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x7c9d4709, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x69386bd2, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x2e579a23, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xce067c86, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x853806ea, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x66d3d45a, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x10c82660, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x52d51e7b, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x09af92fd, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xefc7e41b, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xb3c1f136, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x571fea02, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x3cd67db4, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xae9d7f6d, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x117b4798, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x555fa20c, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x2ee4f248, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x30b5431a, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe10682e8, "ata_qc_complete" },
	{ 0xe496e841, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xaffe804d, "sas_rphy_remove" },
	{ 0xd9684bb7, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xb781db80, "ata_sas_port_destroy" },
	{ 0xdec2bad7, "bsg_job_done" },
	{ 0xa6bab9a1, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x77c80583, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xebe17a77, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xbe07980c, "finish_wait" },
	{ 0xbdb74e57, "scsi_schedule_eh" },
	{ 0xaace060d, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xa8c3dd7e, "ata_host_init" },
	{ 0x3aa954cf, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x2010924a, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x66765212, "sas_port_get_phy" },
	{ 0x784ad9f4, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x37c28cc1, "prepare_to_wait_event" },
	{ 0xbbdeeb4e, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x16a3ef95, "kmem_cache_create" },
	{ 0x113971f, "get_device" },
	{ 0x66bec7df, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x85986cd, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd03de448, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xbed5b05a, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xfd72f3fe, "kmem_cache_alloc" },
	{ 0x86f83340, "_dev_info" },
	{ 0x2453d593, "sas_phy_free" },
	{ 0x1a3649a2, "scsi_eh_finish_cmd" },
	{ 0xa6999999, "ata_sas_port_alloc" },
	{ 0xb1f6cc25, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x99ae2eeb, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0xedd0802d, "sas_port_mark_backlink" },
	{ 0xddf57924, "kmem_cache_free" },
	{ 0xa2b2d90c, "ata_std_qc_defer" },
	{ 0xce6b439e, "ata_sas_port_start" },
	{ 0x3f0320b, "ata_scsi_port_error_handler" },
	{ 0x742baa90, "ata_change_queue_depth" },
	{ 0x7c1bde25, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb88080ea, "sas_end_device_alloc" },
	{ 0x3fb27278, "mutex_lock_interruptible" },
	{ 0xda90dfbf, "sas_read_port_mode_page" },
	{ 0x8160932b, "sas_expander_alloc" },
	{ 0x61ef2f9e, "ata_sas_port_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0xcc7022bd, "_dev_warn" },
	{ 0x447dec45, "sas_rphy_delete" },
	{ 0x3dfd0456, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xe8060cc2, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x1bd0acfc, "__init_waitqueue_head" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xaf39a51e, "scsi_host_busy" },
	{ 0x48a2eb8a, "ata_sas_async_probe" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0xfe1bfd24, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f79afb2, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa3c0c906, "ata_sas_port_suspend" },
	{ 0x3231f67e, "sas_rphy_add" },
	{ 0xf3c1ff51, "sas_port_delete_phy" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb3f0bf14, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x368e58a1, "sas_port_add_phy" },
	{ 0xfcb8829f, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x32d37849, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x80645a31, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x82a2a450, "ata_host_put" },
	{ 0x38699a12, "sas_port_free" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0xf906ea79, "ata_std_sched_eh" },
	{ 0xcd395bf1, "scsi_block_requests" },
	{ 0xae5e6c88, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0x138119c6, "sas_remove_children" },
	{ 0x63422989, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe3e50d07, "ata_port_wait_eh" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0x74e3cd8f, "kmem_cache_destroy" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.6");
